1. billandrewsjr's Avatar
    This morning I had an update in the Google Play Store that allowed me to update the Blackberry Hub+ Services app. When I updated, it gave me the option to subscribe to the Blackberry Hub+ Subscription! I was so excited. When I went to Blackberry Hub+ Apps, it now shoes me the additional apps; Notes, Tasks, Contacts, Device Search and Launcher. It also no longer it says my trial subscription has expired. When I click to install the new apps, I get a "Your Device isn't compatible with this version" error. Please advise. I don't mind paying the monthly service, I was with Blackberry since the 7520 until my company stopped supporting BB. I have a Samsung Galaxy S7 Edge running 6.01. All system software is update to date. Why can't I download the new apps???
    09-08-16 10:15 AM
  2. ray689's Avatar
    According to BlackBerry employee c_bryant it should be working fine shortly today. In fact, i just got an update for hub+ on my Priv so maybe check again shortly.

    Posted via the CrackBerry App for Android
    09-08-16 10:29 AM
  3. billandrewsjr's Avatar
    Just started flowing thru! We can close this thread
    09-08-16 10:34 AM

Similar Threads

  1. Basic apps
    By doby123 in forum BlackBerry Z10
    Replies: 4
    Last Post: 09-20-16, 03:19 AM
  2. White Passport gone from shop BlackBerry US.
    By shawnreum in forum BlackBerry Passport
    Replies: 4
    Last Post: 09-08-16, 07:03 PM
  3. Hub suite not compatible
    By chrisru in forum BlackBerry HUB+ Suite
    Replies: 9
    Last Post: 09-08-16, 05:31 PM
  4. Can't connect to Data
    By oRabbi in forum Ask a Question
    Replies: 1
    Last Post: 09-08-16, 09:33 AM
LINK TO POST COPIED TO CLIPBOARD